Permalink
Browse files

Manage gemspec with bundler

  • Loading branch information...
1 parent a86eec2 commit 1f90e437ca89d1aa7973b0f40b58a4226ec715a4 @sandro committed Apr 8, 2012
Showing with 24 additions and 154 deletions.
  1. +1 −51 Rakefile
  2. +23 −103 ephemeral_response.gemspec
View
@@ -1,51 +1 @@
-require 'rubygems'
-require 'rake'
-
-begin
- require 'jeweler'
- Jeweler::Tasks.new do |gem|
- gem.name = "ephemeral_response"
- gem.summary = %Q{Save HTTP responses to give your tests a hint of reality.}
- gem.description = %Q{
- Save HTTP responses to give your tests a hint of reality.
- Responses are saved into your fixtures directory and are used for subsequent web requests until they expire.
- }
- gem.email = "sandro.turriate@gmail.com"
- gem.homepage = "http://github.com/sandro/ephemeral_response"
- gem.authors = ["Sandro Turriate", "Les Hill"]
- gem.add_development_dependency "jeweler", ">= 1.4.0"
- gem.add_development_dependency "rspec", ">= 1.2.9"
- gem.add_development_dependency "yard", ">= 0.5.0"
- gem.add_development_dependency "fakefs", ">= 0.2.1"
- gem.add_development_dependency "unicorn", ">= 1.0.0"
- # gem is a Gem::Specification... see http://www.rubygems.org/read/chapter/20 for additional settings
- end
- Jeweler::GemcutterTasks.new
-rescue LoadError
- puts "Jeweler (or a dependency) not available. Install it with: gem install jeweler"
-end
-
-require 'spec/rake/spectask'
-Spec::Rake::SpecTask.new(:spec) do |spec|
- spec.libs << 'lib' << 'spec'
- spec.spec_files = FileList['spec/**/*_spec.rb']
-end
-
-Spec::Rake::SpecTask.new(:rcov) do |spec|
- spec.libs << 'lib' << 'spec'
- spec.pattern = 'spec/**/*_spec.rb'
- spec.rcov = true
-end
-
-task :spec => :check_dependencies
-
-task :default => :spec
-
-begin
- require 'yard'
- YARD::Rake::YardocTask.new
-rescue LoadError
- task :yardoc do
- abort "YARD is not available. In order to run yardoc, you must: sudo gem install yard"
- end
-end
+require 'bundler/gem_tasks'
View
@@ -1,111 +1,31 @@
-# Generated by jeweler
-# DO NOT EDIT THIS FILE DIRECTLY
-# Instead, edit Jeweler::Tasks in Rakefile, and run the gemspec command
-# -*- encoding: utf-8 -*-
+lib = File.expand_path('../lib/', __FILE__)
+$:.unshift lib unless $:.include?(lib)
+
+require 'ephemeral_response'
Gem::Specification.new do |s|
- s.name = %q{ephemeral_response}
- s.version = "0.4.0"
+ s.required_rubygems_version = '>= 1.3.6'
+
+ s.version = EphemeralResponse::VERSION.dup
+
+ s.name = 'ephemeral_response'
- s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
- s.authors = ["Sandro Turriate", "Les Hill"]
- s.date = %q{2011-01-18}
- s.description = %q{
+ s.authors = ['Sandro Turriate', 'Les Hill']
+ s.email = 'sandro.turriate@gmail.com'
+ s.homepage = 'https://github.com/sandro/ephemeral_response'
+ s.summary = 'Save HTTP responses to give your tests a hint of reality.'
+ s.description = <<-EOD
Save HTTP responses to give your tests a hint of reality.
Responses are saved into your fixtures directory and are used for subsequent web requests until they expire.
- }
- s.email = %q{sandro.turriate@gmail.com}
- s.extra_rdoc_files = [
- "README.markdown"
- ]
- s.files = [
- ".document",
- ".gitignore",
- ".rvmrc",
- "Gemfile",
- "History.markdown",
- "MIT_LICENSE",
- "README.markdown",
- "Rakefile",
- "VERSION",
- "ephemeral_response.gemspec",
- "examples/custom_cache_key.rb",
- "examples/open_uri_compatibility.rb",
- "examples/simple_benchmark.rb",
- "examples/white_list.rb",
- "lib/ephemeral_response.rb",
- "lib/ephemeral_response/configuration.rb",
- "lib/ephemeral_response/fixture.rb",
- "lib/ephemeral_response/net_http.rb",
- "lib/ephemeral_response/null_output.rb",
- "lib/ephemeral_response/request.rb",
- "spec/ephemeral_response/configuration_spec.rb",
- "spec/ephemeral_response/fixture_spec.rb",
- "spec/ephemeral_response/net_http_spec.rb",
- "spec/ephemeral_response_spec.rb",
- "spec/integration/custom_identifier_spec.rb",
- "spec/integration/normal_flow_spec.rb",
- "spec/integration/read_body_compatibility_spec.rb",
- "spec/integration/sets_spec.rb",
- "spec/integration/unique_fixtures_spec.rb",
- "spec/integration/white_list_spec.rb",
- "spec/spec.opts",
- "spec/spec_helper.rb",
- "spec/support/clear_fixtures.rb",
- "spec/support/fakefs_ext.rb",
- "spec/support/rack_reflector.rb",
- "spec/support/time.rb"
- ]
- s.homepage = %q{http://github.com/sandro/ephemeral_response}
- s.rdoc_options = ["--charset=UTF-8"]
- s.require_paths = ["lib"]
- s.rubygems_version = %q{1.3.7}
- s.summary = %q{Save HTTP responses to give your tests a hint of reality.}
- s.test_files = [
- "spec/ephemeral_response/configuration_spec.rb",
- "spec/ephemeral_response/fixture_spec.rb",
- "spec/ephemeral_response/net_http_spec.rb",
- "spec/ephemeral_response_spec.rb",
- "spec/integration/custom_identifier_spec.rb",
- "spec/integration/normal_flow_spec.rb",
- "spec/integration/read_body_compatibility_spec.rb",
- "spec/integration/sets_spec.rb",
- "spec/integration/unique_fixtures_spec.rb",
- "spec/integration/white_list_spec.rb",
- "spec/spec_helper.rb",
- "spec/support/clear_fixtures.rb",
- "spec/support/fakefs_ext.rb",
- "spec/support/rack_reflector.rb",
- "spec/support/time.rb",
- "examples/custom_cache_key.rb",
- "examples/open_uri_compatibility.rb",
- "examples/simple_benchmark.rb",
- "examples/white_list.rb"
- ]
+ EOD
- if s.respond_to? :specification_version then
- current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
- s.specification_version = 3
+ s.require_path = 'lib'
- if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
- s.add_development_dependency(%q<jeweler>, [">= 1.4.0"])
- s.add_development_dependency(%q<rspec>, [">= 1.2.9"])
- s.add_development_dependency(%q<yard>, [">= 0.5.0"])
- s.add_development_dependency(%q<fakefs>, [">= 0.2.1"])
- s.add_development_dependency(%q<unicorn>, [">= 1.0.0"])
- else
- s.add_dependency(%q<jeweler>, [">= 1.4.0"])
- s.add_dependency(%q<rspec>, [">= 1.2.9"])
- s.add_dependency(%q<yard>, [">= 0.5.0"])
- s.add_dependency(%q<fakefs>, [">= 0.2.1"])
- s.add_dependency(%q<unicorn>, [">= 1.0.0"])
- end
- else
- s.add_dependency(%q<jeweler>, [">= 1.4.0"])
- s.add_dependency(%q<rspec>, [">= 1.2.9"])
- s.add_dependency(%q<yard>, [">= 0.5.0"])
- s.add_dependency(%q<fakefs>, [">= 0.2.1"])
- s.add_dependency(%q<unicorn>, [">= 1.0.0"])
- end
-end
+ s.files = Dir.glob('lib/**/*') + %w(MIT_LICENSE README.markdown History.markdown Rakefile)
+ s.add_development_dependency('rspec', ['>= 2.9.0'])
+ s.add_development_dependency('fakefs', ['>= 0.4.0'])
+ s.add_development_dependency('unicorn', ['>= 1.0.0'])
+ s.add_development_dependency('debugger')
+ s.add_development_dependency('yard', ['>= 0.7.2'])
+end

0 comments on commit 1f90e43

Please sign in to comment.